*******************************
Snappy Driver Installer Origin
       by Glenn Delahoy
www.snappy-driver-installer.org
www.glenn.delahoy.com
*******************************

Change Log

Version 1.17.8.829
07 March 2026
* SamLab Driver Packs 26.02.2
* SDIO Driver Packs 26.03.1

Version 1.17.7.828
14 February 2026
* SamLab Driver Packs 26.00.0
* SDIO Driver Packs 26.02.2
* Put Welcome screen on Tools menu
* Update Win11 build numbers
* Fixed SDIO packs on 32 bit

Version 1.17.6.827
1 February 2026
* Samlab Driver Packs 26.00.0
* SDIO Driver Packs 26.01.5
* Experimenting with a different hash algorithm to try to
  avoid collisions across indexes
* Fixed bug not finding 10.0.1 type section names
* Added Serbian language courtesy of Bojan Maksimovic

Version 1.17.5.826
22 January 2026
* Sam Driver Packs 25.11.1
* SDIO Driver Packs 26.01.4
* Add some Windows builds

Version 1.17.4.825
13 January 2026
* Sam Driver Packs 25.11.1
* SDIO Driver Packs 26.01.03
* More work on Windows 11 support. Added correct inf build number
  handling starting with 10.0.14310.
* Fixed an introduced bug with catalog target os comparisons

Version 1.17.3.824
01 January 2026
* Sam Driver Packs 25.11.1
* SDIO Driver Packs 26.01.1
* Fixed bug where it gets stuck seeding after downloading updates
* Fixed log issues

Version 1.17.2.823
08 December 2025
* Sam Driver Packs 25.11.1
* SDIO Driver Packs 25.12.2
* More work on Windows versions
* Fixed reported Server versions
* Updated driver log output
* Identify possible corrupted indexes on the console output
* Fixed issues with index_hr output
* Added more Windows 10/11 builds
* Fixed a few issues with the metro theme

Version 1.17.1.822
25 November 2025
* Sam Driver Packs 25.11.1
* Fix Windows 11 Server detection


Version 1.17.0.819
24 November 2025
* Sam Driver Packs 25.11.1
* Much work on improving support for Windows 11
* No longer looking for Win 10 drivers when Win 11 is detected.
* Detect Win 11 Server.
* I'm trying again with an SDIO driver pack.

Version 1.16.0.818
10 November 2025

I've changed the way Win 11 is handled. Firstly, SDIO will no longer set the virtual OS if 
Win 11 is detected. If it detects Win 11, you will see Win 11 in the System Information 
panel. You can still set the virtual OS yourself if you choose. Secondly, because Win 11 is 
not yet directly supported in the driver packs and because Win 10 drivers are compatible 
with Win 11 anyway, when Win 11 is detected, SDIO will search for Win 10 drivers. 

* Sam Driver Packs 25.11.1
* Show Newer is off by default
* Added available driver version, date and marker to driver list items.
* ForceWin10 option removed
* No longer set virtual os version when win11 is detected
* Because win11 is not currently supported in the driver packs, search for compatible win10 drivers
* Added Detect OS version to System panel context menu
* Updated translations
* Added checks to make sure script engine is initialised
* Added environment variable expansion to script directories (%appdata% etc)
* Updated list of known inf markers

Version 1.15.6.817
30 August 2025
* Sam Driver Packs 25.08.3

Version 1.15.5.816
23 June 2025
* Sam Driver Packs 25.06.2

Version 1.15.4.815
13 May 2025
* Sam Driver Packs 25.04.4

Version 1.15.3.814
03 May 2025
* Sam Driver Packs 25.03.0

Version 1.15.1.813
28 February 2025
* Sam Driver Packs 25.01.1

Version 1.15.0.812
15 February 2025
* Sam Driver Packs 25.01.0
* 7-Zip version 23.01
* Fixed virtual OS selection
* Fixed TEST BUILD issue
* Catch std::bad_cast exception in torrent download
* Catch UnregisterClass failure preventing the program from shutting down.

Version 1.14.0.777
4 February 2025
* Sam Driver Packs 25.00.0
* 7-Zip version 18.06

Version 1.13.6.773
6 December 2024
* Sam Driver Packs 24.12.0

Version 1.13.5.772
16 November 2024
* Added Windows Server versions 2019 & 2022
* Sam Driver Packs 24.11.0

Version 1.13.4.771
12 September 2024
* Sam Driver Packs 24.09.0
* Updated default directory names

Version 1.13.3.767
2 August 2024
* Sam Driver Packs 24.08.1

Version 1.13.2.766
1 July 2024
* Sam Driver Packs 24.07.0
* Updated languages

Version 1.13.1.765
11 June 2024
* Sam Driver Packs 24.06.1
* Added cfg option "-forcewin10". This changes the behaviour of 
  the change made in 1.12.23. To set the virtual OS version to Windows 10 
  if Windows 11 is detected add this to the SDIO.cfg file. Without 
  this set, the virtual OS will not automatically change. If you
  don't want to automatically set Windows 10 when Windows 11 is
  detected then remove this from the config.
  

Version 1.12.23.764
22 May 2024
* Sam Driver Packs 24.05.0
* Set virtual OS version if Win 11 detected

Version 1.12.22.763
07 April 2024
* Sam Driver Packs 24.04.0

Version 1.12.21.762
19 March 2024
* Sam Driver Packs 24.03.0
* Updated manual courtesy of Dave

Version 1.12.20.761
30 January 2024
* Sam Driver Packs 24.01.0
* Updated manual courtesy of Dave

Version 1.12.19.760
15 January 2024
* Sam Driver Packs 24.00.0

Version 1.12.18.759
17 December 2023
* Sam Driver Packs 23.12.0

Version 1.12.17.758
01 October 2023
* Sam Driver Packs 23.0.9.0

Version 1.12.16.757
25 September 2023
* Sam Driver Packs 23.0.9.0

Version 1.12.15.756
11 August 2023
* Sam Driver Packs 23.08.0
* SDIO Driver Pack 23.08.2
* Updated languages

Version 1.12.14.755
19 July 2023
* Sam Driver Packs 23.07.0
* SDIO Driver Packs 23.07.3
* Updated languages
* Changed sdi.cfg to sdio.cfg

Version 1.12.13.754
15 June 2023
* Sam Driver Packs 23.06.0
* SDIO Driver Packs 23.06.3

Version 1.12.12.753
30 April 2023
* Sam Driver Packs 23.00.0
* SDIO Driver Packs 23.05.1
* Updated languages

Version 1.12.11.751
15 April 2023
* Sam Driver Packs 23.00.0
* SDIO Driver Packs 23.04.3
* Updated languages

Version 1.12.10.750
30 March 2023
* Sam Driver Packs 23.00.0
* SDIO Driver Packs 23.03.4

Version 1.12.9.749
13 November 2022
* Driver Packs 22.11.2

Version 1.12.8.748
12 September 2022
* Driver Packs 22.09.2

Version 1.12.7.747
14 August 2022
* Driver Packs 22.08.1

Version 1.12.6.746
11 July 2022
* Driver Packs 22.07.1
* Translations

Version 1.12.5.745
07 June 2022
* Driver Packs 22.05.5

Version 1.12.4.744
05 May 2022
* Driver Packs 22.04.4
* Updated del_old_driverpacks.bat to accomodate new DCH files.
* Renewed code signing certificate

Version 1.12.3.743
26 April 2022
* Driver Packs 22.04.3

Version 1.12.2.742
26 January 2022
* Driver Packs 22.00.0
* Under Windows 11, determining the state of system protection seems to
  be unreliable so SDIO will assume system protection is enabled and 
  attempt to create a restore point which may or may not succeed.

Version 1.12.1.740
10 December 2021
* Driver Packs 21.12.1
* Translations

Version 1.12.0.739
30 October 2021
* Driver Packs 21.10.4
* Updated for Windows 11

Version 1.11.3.738
03 October 2021
* Driver Packs 21.09.4

Version 1.11.2.737
7 September 2021
* Driver Packs 21.09.0

Version 1.11.1.736
7 August 2021
* Driver Packs 21.08.1
* Fixed theme text color on restore point and indexing slots
* Themes updated including a new Dark theme

Version 1.11.0.735
17 July 2021
* Driver Packs 21.07.2
* Removed auto seeding option, was too much of a problem.
  You can still manually start seeding after a download is complete.
* Fixed metro theme and replaced metallic as default theme.
* Removed settings.cfg, no longer required.
* Trimmed trackers.txt.

Version 1.10.3.732
19 May 2021
* Driver Packs 21.05.1
* Fixed lockup when run with /autoupdate parameter and nothing to update.
* Fixed bug failing to create log files.
* Translations.
* There were some compatability issues with the 7-zip code and the
  gcc/mingw v8.1.0 code so I've rolled back gcc to the previous working version.
* Tools updated as follows:
  msys2 v20200903
  gcc v7.3.0
  boost v1.65.0
  webp v1.1.0
  libtorrent v1.0.11
  7-Zip v17.01

Version 1.10.2.731
1 May 2021
* Driver Packs 21.04.3

Version 1.10.1.730
1 April 2021
* Driver Packs 21.03.1
* Translations

Version 1.10.0.729
5 February 2021
I'm unable to get boost/libtorrent updated beyond these versions. If anyone
knows how to do this please let me know.
* Driver Packs 21.02.01
* Translations
* Tools updated as follows:
  msys2 v20200903
  gcc v8.1.0
  boost v1.65.0
  webp v1.1.0
  libtorrent v1.0.11
  7-Zip v17.01

Version 1.9.0.728
21 December 2020
* Driver Packs 20.12.2
* Tools updated as follows:
  msys2 v20200903
  gcc v7.3.0
  boost v1.65.0
  webp v0.6.1
  libtorrent v1.0.11
  7-Zip v16.04

Version 1.8.0.722
14 November 2020
* Driver Packs 20.11.1
* The script "select" command will now AND the first set of options with the
  driver pack filters. For example, previously the command "select better lan"
  would select "all better drivers" as well as "all lan drivers".  This will now select
  "all better lan drivers". In other words both conditions must be true rather
  than either condition. The command "select missing better lan wlan-wifi" will
  select missing or better drivers that exist in the lan or wlan-wifi driver packs.
* Tools updated as follows:
  msys2 v20200903
  gcc v7.3.0
  boost v1.64.0
  webp v0.6.1
  libtorrent v1.0.11
  7-Zip v16.04

Version 1.7.1.721
28 October 2020
* Driver Packs 20.10.3
* Further testing revealed some issues with the new code that deals with path
  read/write conditions and building directory structures.
* Tools updated as follows:
  msys2 v20200903
  gcc v7.1.0
  boost v1.63.0
  webp v0.6.1
  libtorrent v1.0.8
  7-Zip v16.02

Version 1.7.0.720
26 October 2020
* Driver Packs 20.10.3
* Fixed bug in script mode when there are spaces in the paths.
* Added functions to better test for write/read-only conditions both locally 
  and when running over a network share using UNC paths. SDIO now better
  operates in a read-only environment.
* I've added a discussion to the Reference Manual on how to run SDIO over a
  network share.
* Added a test in the install procedure to check availability of the next
  driver pack before attempting to open it. If the driver pack is not 
  available, SDIO will pause for 5 seconds and try again. It will do this up
  to 20 times before failing. This helps overcome the problem of devices being
  temporarily unavailable due to a previous driver install.
* Translations.
* Tools updated as follows:
  msys2 v20200903
  gcc v7.1.0
  boost v1.63.0
  webp v0.5.2
  libtorrent v1.0.8
  7-Zip v16.02

Version 1.6.8.718
2 October 2020
* Driver Packs 20.09.0

Version 1.6.7.717
21 August 2020
* Driver Packs 20.08.3

Version 1.6.6.716
20 July 2020
* Driver Packs 20.07.2

Version 1.6.5.715
21 June 2020
* Driver Packs 20.06.2
* Script: Fixed up some debug output strings.
* Script: Fixed bug where drpdir, indexdir, logdir and extractdir were sometimes
  getting mangled.
* Script: Fixed bug with network paths and paths with spaces.
* Script: Fixed bug where the select command was failing.
* Script: I can't make it run over a UNC path but it will work over a mapped drive.
  See the remote.bat in scripts for an example.

Version 1.6.4.714
7 June 2020
* Driver Packs 20.05.5
* If TEMP environment variable is not set then use the system drive.
* Fixed bug in script where the select command is not working.
* Verify driver pack has downloaded and is available before extraction. If
  you get an Error 2 during driver installation, check the console output
  to see if the driver pack file is missing. It may be due to out of date
  indexes or the torrent download failed for some reason.
* Translations.

Version 1.6.3.712
18 May 2020
* Driver Packs 20.05.2

Version 1.6.2.711
23 April 2020
* Driver Packs 20.04.2
* Translations

Version 1.6.1.710
25 March 2020
* Driver Packs 20.03.3

Version 1.6.0.709
21 February 2020
* Driver Packs 20.01.0
* Now driver updates works correctly when the dpr_dir is on a different drive. It 
  can be a different drive on the same computer, a network path or mapped drive. 
* If SDIO detects this path is not the working path, it will perform a copy/delete 
  instead of a move operation in order to move downloaded driver packs to the 
  drivers directory.
* Fixed cli help display formatting.
* Fixed bug with coax theme.

Version 1.5.9.708
11 January 2020
* Driver Packs 19125

Version 1.5.8.707
13 December 2019
* Driver Packs 19121
* Translations.

Version 1.5.7.706
4 November 2019
* Driver Packs 19104

Version 1.5.6.705
6 October 2019
* Driver Packs 19095
* Translations.
* Themes.

Version 1.5.5.704
10 September 2019
* Driver Packs 19091
* Translations.

Version 1.5.4.703
17 August 2019
* Driver Packs 19082
* Translations.

Version 1.5.3.702
* 16 July 2019
* Driver Packs 19065

Version 1.5.2.701
23 June 2019
* Driver Packs 19063
* Translations.

Version 1.5.1.700
26 April 2019
* Driver Packs 19042

Version 1.5.0.699
06 March 2019
* Driver Packs 19030
* Changed the way the "Continue Seeding" option in the Updates dialog works. Now,
  when the updates have finished downloading, they will be moved to the Drivers
  directory and indexed as normal. When this is complete, if the seeding option is
  selected, seeding from the Drivers directory will begin.

Version 1.4.9.698
23 December 2018
* Driver Packs 18115

Version 1.4.8.697
29 October 2018
* Driver Packs 18102
* Translations.

Version 1.4.7.694
10 September 2018
* Driver Packs 18091
* Translations.

Version 1.4.6.690
04 August 2018
* Driver Packs 18074
* Translations.
* Fix old bug not showing application updates on the gui.

Version 1.4.5.688
03 July 2018
* Driver Packs 18064
* Translations.
* Rolled back Newer filter off by default, had unintended effects.
* Add Advanced System Properties to Tools menu.

Version 1.4.4.686
05 May 2018
* Driver Packs 18043
* Translations.
* Newer filter is off by default for Windows 10.

Version 1.4.3.682
14 March 2018
* Driver Packs 18031
* Translations

Version 1.4.2.679
07 February 2018
* Driver Packs 18014
* Translations

Version 1.4.1.675
05 January 2018
* Driver Packs 17125
* Removed Patreon links.
* Updated Greek translation.
* Fixed bugs and added "Show more drives" option to USB wizard.

Version 1.4.0.671
15 December 2017
* Driver Packs 17122
* Added column sorting to Updates dialog.
* Translations.

Version 1.3.2.667
3 November 2017
* Driver Packs 17105
* Updated translations.

Version 1.3.1.662
7 October 2017
* Driver Packs 17094
* Fixed threading bug lock up on newer CPUs with more than 16 threads.

Version 1.3.0.660
4 October 2017
* Driver Packs 17094
* Removed spurious language text from logo panel.
* Added translation tool.
* Translations.

Version 1.2.1.658
15 September 2017
* Driver Packs 17084
* Fixed problem getting selected language in USB Drive Wizard.
* Updated translations.

Version 1.2.0.655
20 August 2017
* Driver Packs 17082
* Set initial directory in Extract tool.
* Check both torrents on startup.
* Set initial directory in Load snapshot.
* Updated translations.
* Fixed problem with torrent 2 in script.

Version 1.1.0.650
5 August 2017
* Driver Packs 17075
* Added "runlatest" command to scripts.
* Added additional driver directory to Create USB wizard.
* Updated translations.
* Fixed problems in Create USB Drive wizard delete files.
* Fixed problem in System Protection detection.

Version 1.0.0.637
22 July 2017
* Driver Packs 17073
* Fixed bug preventing system menu from getting translated.
* Improved Welcome screen translated layout.
* Updated all language files to include all the new strings.
* Added "Create a USB Drive" wizard. See the manual for details.

Version 0.9.1.596
8 July 2017
* Driver Packs 17071
* Fixed fatal startup error on Windows XP

Version 0.9.0.593
1 July 2017
* Driver Packs 17064
* Added more options to the Tools menu.
* Added Network Drivers to the Welcome dialog.
* Added Network Only option to Updates dialog.
* Added Welcome screen to languages.
* Fixed a few issues in the updates menu items.
* Fixed bug preventing second torrent from seeding.
* New Reference Manual available in the docs directory.

Version 0.8.1.582
17 June 2017
* Driver Packs 17062
* Fixed phantom "available: 1 driverpacks" bug
* Fixed phantom mkdir_r error
* Reset driver space hint horizontal scroll
* Added Tools menu

Version 0.8.0.580
03 June 2017
* Driver Packs 17051
* Fixed main window resize bug.
* Added driver pack filter to scripting.
* Reformatted scripting.txt.
* Added system menu option to select between the normal SDIO update torrent and
  the driver packs update torrent. The driver packs update torrent is updated 
  more frequently than SDIO.
* Added -activetorrent command line switch. A value of 1 selects the normal SDIO
  update torrent, a value of 2 selects the driver packs update torrent.
* Added activetorrent command to scripting.
* Added error message when checking driver pack directories etc.

Version 0.7.0.576
22 May 2017
* Driver Packs 17051
* Added scripting engine. This involves many small changes throughout
  the code. Let me know if I've broken something.
  See scripts\scripting.txt for details.
* Added new Metro theme.
* Updated source file headers for Origin.
* Moved to conventional version numbers.
* Added LOG_VERBOSE_TORRENT and LOG_VERBOSE_DEBUG
* Miscellaneous small changes and fixes.

Version 0.6.0.558
5 May 2017
* Driver Packs 17045
* Updated bitmaps and icons for Origin.
* Transifex is no longer used. If you want to help out with translations,
  contact me on the Patreon page.
* Updated default Metallic theme.
* Added -getdevicelist command line option.
* Changed the executable names to SDIO_*.
* The torrent url is now hard coded again.

Version 0.5.0.554
23 April 2017
* Driver Packs 17043
* Updated version number.
* Welcome screen completed. It appears when there are no driver packs and indexes
  found and no command line arguments given (ie new users).
* Updated torrent agent id.
* Moved some themes out to Additional Themes.
* Moved Select Driver Dir to system menu.
* Added seeding option to Updates dialog. This keeps the update session running,
  seeding all files that have been downloaded. When the update session is stopped
  by clicking on the update button, the updates are processed in the normal
  fashion. This is perfect if you leave updates running overnight.
* Added 'Seed driver packs' option to the System Menu. At any time when not doing
  updates, you can switch this on to enable sharing of the driver packs in your
  working "drivers" directory. Sometimes it wants to do a little downloading
  first, this is a quirk in the bittorrent protocol and is normal and
  unavoidable. This is different to the seeding option on the Updates dialog.
* Added more status feedback from the torrent.
* Added 'Checking for updates' status on startup.
* Added web page hyperlinks to Welcome screen and About box.
* In case you're wondering why the executable suddenly got bigger, it's
  because I no longer use the exe packer to compress it.
* Remove No Drivers Available message if not checking for updates.
* Updated torrent trackers.
* Prevent autoclose after autoupdate if autoinstall is also present.
* A bunch of small changes and fixes.
 
Version 0.4.0.548
06 April 2017
* Driver Packs 17034
* Updated version number
* Added support for *.sdi.inf files
* Removed screen reader functions
* Changed 'Modified' to 'Test Build'
* Fixed bug in 'new exe' output
* Search for hardware id tool now uses default browser
* Added About box to system menu
* Moved Open Logs to system menu
* Added License Information to system menu
* Added Refresh button to action buttons
* Removed logo hover hint
* Initialised the torrent url
* Begin Welcome screen

Note: The System Menu is the very top left of the application window
      next to the caption. Top right if you read right-to-left.
      Click on the little SDI logo on the caption bar.

R543 16 Mar 2017
* Driver Packs 17031
* Added configurable torrent URL
* Fixed bug in Update dialog

R541 10 Mar 2017
* Initial version of Origin
* Changed all URLs to www.snappy-driver-installer.org
* Removed vk.com

R539 27 Feb 2017
* Boost 1.62 in search path
* Test RTL value
* Set Croatian RTL
* Miscellaneous small bug fixes, compiler warnings etc.

R536 21 Feb 2017
* Updated translations
* Compiler warnings
* Torrent location back to sdi-tool.org

R535 18 Jan 2017
* Updated translations

R533 30 Dec 2016
* Added Chinese (Taiwan) language
* Updated translations
* Whitelisted a usb 3.0 hub
* Relocated torrent update home to DriverOff.net

R526 08 Dec 2016
* Updated translations

R524 19 Nov 2016
* Updated translations
* Added Thai translation
* Fixed the maximize bug
* Assorted small bug fixes

R513 23 Oct 2016
* Updated Greek translation
* Added Korean translation
* Assorted small bug fixes
* Updated GCC to 6.2.0
* Updated Boost to 1.62.0
* Restore Points: Check to see if System Protection is enabled and display a message if not
* Restore Points: Halt driver installation and display a message if a restore point fails
* Restore Points: Adjust system settings to ensure restore point is always created
* Restore Points: Item added to restore point context menu to open System Properties
* Restore Points: Fixed context menu item restore point rollback on 64-bit build
* Restore Points: Added command line switch -nostop to prevent stopping in event of restore point failure
